#!/bin/bash

# on first login
echo "Configuring postfix..."
sudo dpkg-reconfigure postfix
echo ""
echo "Generating cert..."
ssh-keygen -t rsa -f ~/.ssh/id_rsa -q
echo ""
echo "Here is this server's public key (for git deployment)"
cat ~/.ssh/id_rsa.pub
echo ""
echo "Enter your machine's public key (for fabric deployment)"
read pubkey
echo $pubkey >> ~/.ssh/authorized_keys
echo ""
echo "Configuring S3 caching..."
s3cmd --configure

echo ""
echo "Configuring services..."
sudo update-rc.d nfs-kernel-server disable >/dev/null
sudo service nfs-kernel-server stop

sudo update-rc.d apache2 enable >/dev/null
sudo service apache2 start
sudo update-rc.d memcached enable >/dev/null
sudo service memcached start
sudo update-rc.d pgpool enable >/dev/null
sudo service pgpool start
sudo update-rc.d postgresql-8.4 enable >/dev/null
sudo service postgresql-8.4 start
sudo update-rc.d postfix enable >/dev/null
sudo service postfix start

echo ""
echo "*****************************************************************"
echo "Apache and memcached are configured to use up all resources on an"
echo "amazon small instance. You may want to reduce memcached memory"
echo "usage and tweak apache's worker settings. "
echo "*****************************************************************"
echo ""
echo "Server is setup with Apache+Memcached+pgpool+PosgreSQL/PostGIS+Postfix"