#!/usr/bin/env python
# encoding: utf-8
"""
Module docstring.
"""
import sys
import optparse

import boto

def rsvps_in_group(group,conn=None):
    if conn is None:
        conn = boto.connect_ec2()
    instances = conn.get_all_instances()
    ginstances = []
    for i in instances:
        if instance_in_group(i,group):
            ginstances.append(i)
    return ginstances

def instance_in_group(i,grp):
    return grp in [g.id for g in i.groups]

def names_from_rsvps(rsvps,exclude=None):
    names = []
    for r in rsvps:
        for i in r.instances:
            if i.id != exclude:
                names.append(i.dns_name)
    return names

if __name__ == '__main__':
    if len(sys.argv) != 3:
        sys.exit("Incomplete arguments: %s [security_group] [my_instance]" % sys.argv[0])
    group, my_instance = sys.argv[1:]
    if group is None or my_instance is None:
        sys.exit("Incomplete arguments: %s [security_group] [my_instance]" % sys.argv[0])
    rsvps = rsvps_in_group(group)
    for name in names_from_rsvps(rsvps,exclude=my_instance):
        print name

